## com.bbn.openmap.layer.dted
Class DTEDFrameSubframeInfo

    java.lang.Object
      com.bbn.openmap.layer.dted.DTEDFrameSubframeInfo

public class DTEDFrameSubframeInfo
extends java.lang.Object

The DTEDFrameSubframeInfo contains information about how a subframe image ought to be presented. It contains the view settings, and the location of the subframe image.

Field Summary
`int` `bandHeight` The distance (elevation) range that each color section of the band viewtype represents.
`int` `colorModel` The colormodel of the images.
`int` `dtedLevel` The DTED level of the data.
`int` `height` height of the subframe image.
`float` `lat` Latitude of the upper left corner of the subframe image.
`float` `lon` Longitude of the upper left corner of the subframe image.
`int` `slopeAdjust` A user adjusted setting for contrast for the slope shading.
`int` `subx` x number of the subframe within the DTEDFrame, from the left side of the frame (east).
`int` `suby` y number of the subframe within the DTEDFrame, from the bottom side of the frame (south).
`int` `viewType` The type of shading to use in the image.
`int` `width` Width of the subframe image.
`double` `xPixInterval` The degrees/pixel of the image in the x direction, derived from the scale of the projection.
`double` `yPixInterval` The degrees/pixel of the image in the y direction, derived from the scale of the projection.

Constructor Summary
`DTEDFrameSubframeInfo(int Height, int Width, float Lon, float Lat, int Subx, int Suby, double xpi, double ypi, int Vt, int Bh, int Dl, int Sa)`
`DTEDFrameSubframeInfo(int Vt, int Bh, int Dl, int Sa)`

Method Summary
`boolean` `equals(DTEDFrameSubframeInfo newInfo)` A comparision test to test the drawing parameters, to figure out if the presentation configuration has changed, and that the pixel color values need to be recalculated.
`DTEDFrameSubframeInfo` `makeClone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewType

    public int viewType

  The type of shading to use in the image. DTEDFrameSubframe has the different types of possibilities.

### bandHeight

    public int bandHeight

  The distance (elevation) range that each color section of the band viewtype represents.

### dtedLevel

    public int dtedLevel

  The DTED level of the data.

### slopeAdjust

    public int slopeAdjust

  A user adjusted setting for contrast for the slope shading. Some areas of the earth require different settings, for more or less detail.

### xPixInterval

    public double xPixInterval

  The degrees/pixel of the image in the x direction, derived from the scale of the projection.

### yPixInterval

    public double yPixInterval

  The degrees/pixel of the image in the y direction, derived from the scale of the projection.

### subx

    public int subx

  x number of the subframe within the DTEDFrame, from the left side of the frame (east).

### suby

    public int suby

  y number of the subframe within the DTEDFrame, from the bottom side of the frame (south).

### lon

    public float lon

  Longitude of the upper left corner of the subframe image.

### lat

    public float lat

  Latitude of the upper left corner of the subframe image.

### height

    public int height

  height of the subframe image.

### width

    public int width

  Width of the subframe image.

### colorModel

    public int colorModel

  The colormodel of the images. Use OMRasterObject.COLORMODEL_DIRECT (default) or OMRasterObject.COLORMODEL_INDEXED

Constructor Detail

### DTEDFrameSubframeInfo

    public DTEDFrameSubframeInfo(int Vt,
                                 int Bh,
                                 int Dl,
                                 int Sa)

### DTEDFrameSubframeInfo

    public DTEDFrameSubframeInfo(int Height,
                                 int Width,
                                 float Lon,
                                 float Lat,
                                 int Subx,
                                 int Suby,
                                 double xpi,
                                 double ypi,
                                 int Vt,
                                 int Bh,
                                 int Dl,
                                 int Sa)

Method Detail

### makeClone

    public DTEDFrameSubframeInfo makeClone()

### equals

    public boolean equals(DTEDFrameSubframeInfo newInfo)

  A comparision test to test the drawing parameters, to figure out if the presentation configuration has changed, and that the pixel color values need to be recalculated.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details